Terminales

Obtener terminales

GET /v1/terminals

Este endpoint permite obtener las terminales asociadas a un cliente.

ParámetrosDescripción
page
  • (opcional)
  • integer
  • El número de la página de resultados a obtener (>=0). Por defecto: 0
size
  • (opcional)
  • integer
  • El número de resultados por página (>=1). Por defecto: 10.
serialCode
  • (opcional)
  • string
  • Filtro por número de serie de la terminal
terminalId
  • (opcional)
  • string
  • Filtro por identificador de terminal (UUID)
status
  • (opcional)
  • string
  • Filtro por estado de la terminal.
  • [ACTIVE, INACTIVE]
stock
  • (opcional)
  • boolean
  • Filtro por terminales en stock. Por defecto: false
createDate
  • (opcional)
  • string
  • Filtro por fecha de creación
ℹ️
  • features puede contener MANUAL, STRIPE, CHIP y CONTACTLESS.
  • Cada terminal incluye también color, imei1, imei2, mode y el enlace _links.self.
  curl --request GET \
    --url https://api.menta.global/api/v1/terminals \
    --header 'Authorization: Bearer {access_token}' \
    --url-query 'page=integer' \
    --url-query 'size=integer'
{
"_embedded": {
"terminals": [
  {
    "id": "string",
    "merchant_id": "string",
    "customer_id": "string",
    "serial_code": "string",
    "hardware_version": "string",
    "trade_mark": "string",
    "model": "string",
    "status": "ACTIVE",
    "features": [
      "CONTACTLESS"
    ],
    "color": "string",
    "imei1": "string",
    "imei2": "string",
    "mode": "string",
    "create_date": "2019-08-24T14:15:22Z",
    "update_date": "2019-08-24T14:15:22Z",
    "delete_date": "2019-08-24T14:15:22Z",
    "_links": {
      "self": {
        "href": "string"
      }
    }
  }
]
},
"page": {
"size": 0,
"total_elements": 0,
"total_pages": 0,
"number": 0
}
}